-----------------------------------------------------------------------------
-- |
-- Module      :  Data.Packed.Static
-- Copyright   :  (c) Reiner Pope 2008
-- License     :  GPL-style
--
-- Maintainer  :  Reiner Pope <reiner.pope@gmail.com>
-- Stability   :  provisional
-- Portability :  portable
--
-- Statically-dimensioned vectors and matrices.
--
-----------------------------------------------------------------------------


module Data.Packed.Static(
     module Data.Packed.Static.Shapes,
     module Data.Packed.Static.Vector,
     module Data.Packed.Static.Matrix,
     module Data.Packed.Static.Syntax,
     module Data.Packed.Static.Imports,
 ) where

import Data.Packed.Static.Shapes
import Data.Packed.Static.Vector
import Data.Packed.Static.Matrix
import Data.Packed.Static.Syntax
import Data.Packed.Static.Imports

